if defined?(ChefSpec)
  def start_container(resource_name)
    ChefSpec::Matchers::ResourceMatcher.new('container', :start, resource_name)
  end

  def stop_container(resource_name)
    ChefSpec::Matchers::ResourceMatcher.new('container', :stop, resource_name)
  end

  def create_container(resource_name)
    ChefSpec::Matchers::ResourceMatcher.new('container', :create, resource_name)
  end

  def destroy_container(resource_name)
    ChefSpec::Matchers::ResourceMatcher.new(
      'container',
      :destroy,
      resource_name
    )
  end
  def setup_container_user(resource_name)
    ChefSpec::Matchers::ResourceMatcher.new(
      'container_user',
      :setup, resource_name
    )
  end
end
